Updater für Portable Google Chrome

Lange Rede, kurzer Sinn: hier hatte ich gefragt, ob jemand Lust hätte, einen Updater für die portable Version von Google Chrome zu basteln. Tjo – nicht einmal ein Tag ist vergangen und der Updater ist fertig. Mein alter AutoIt-Spezi Bene hat zugeschlagen und es nach meinen Ideen umgesetzt.

Dock-2

Doch zuerst einmal: Wofür ist der Updater überhaupt gut? Die portable Version von Google Chrome war bisher nicht updatefähig. Also so automatisch. Nur manuell. Das liegt nicht an Chrome, sondern an Googles Updatepolitik. Installiert man Chrome richtig, so läuft im Hintergrund ja der Updateservice – dies ist bei der portablen Version nicht der Fall.

Wie arbeitet der Updater? Der Updater schaut auf meinem Server in eine Textdatei. Sie enthält momentan zwei Links: einen zur aktuellen Betaversion von Google Chrome 3 und einen zur Releaseversion. Diese werden logischerweise von mir manuell angepasst sofern Google eine neue Version veröffentlicht.

Dock-3

Der Updater lädt die neue Version temporär herunter, entpackt diese und aktualisiert eure vorhandene portable Version. An eurem Profilordner werden keine Änderungen vorgenommen.

Hier mal als Video, auch in HD verfügbar:

Welche Vorteile habt ihr davon? Ganz einfach: ihr müsst nicht (wie bisher) die aktuelle Version herunter laden, euer Profilverzeichnis in diese kopieren und und und.

Was muss ich tun? Updater herunter laden und in das Verzeichnis mit den Loadern packen. Ausführen und auswählen, ob du das Release oder die Beta haben willst.

Dock-4

Stellst du trotzdem weiterhin eine Version zur Verfügung? Ja natürlich. Allerdings brauchen dann nicht mehr so viele die Version von meinem Server herunter laden. Spart wertvollen Traffic ):

Fragen? Fragen! Ach ja, ab der nächsten Version ist der Updater standardmäßig mit dabei, besser is das 🙂

NACHTRAG: Dank der Hilfe von Stephan könnt ihr nun auch auf den Developer-Chanel switchen. Des Weiteren werden die URLs jetzt direkt von Google abgefragt.

Download Portable Chrome Updater

Gefällt dir der Artikel? Dann teile ihn mit deinen Freunden.

caschy

Hallo, ich bin Carsten! Ich bin gelernter IT-Systemelektroniker und habe das Blog 2005 gegründet. Seit 2008 ist es Beruf(ung). Baujahr 1977, Dortmunder im Norden, BVB-Fan und Vater eines Sohnes. Auch zu finden bei LinkedIn, Twitter, Facebook, Instagram und YouTube. PayPal-Kaffeespende. Mail: carsten@caschys.blog

Neueste Beiträge

Mit dem Absenden eines Kommentars stimmst du unserer Datenschutzerklärung und der Speicherung von dir angegebener, personenbezogener Daten zu.

74 Kommentare

  1. Diese Meldung kommt wenn keine Internet verbindung verfügbar ist (nutze ein Proxy), evtl. könnte man noch ein einfachen Pingcheck einbauen 😉

  2. http://bene.mywoh.de/files/ChromeUpdater/Updater.exe , mit Proxy bitte mal testen, starten mit Parameter, Updater.exe -p , Proxy muss im IE eingetragen sein. Rückmeldung bitte dann.

  3. Danke!

  4. http://stadt-bremerhaven.de/download-manager.php?id=208
    returns:
    This download file appears to have disappeared!

  5. @Bene: Proxy ist im IE eingetragen, aber es kommt trotzdem die Fehlermeldung 🙁

  6. Ich schaus mir nachher nochmal an. Hast aber schon mit -p switch gestartet?

  7. ja, habe ich

  8. http://bene.mywoh.de/files/ChromeUpdater/Updater.exe mal testen, ohne -p Switch. Proxy im IE eintragen. Habs selbst gerade mal getestet und hat geklappt. Ist mit AutoIT Beta nun, das Stable Release hat nen Bug mit inetget und proxy, also mal durchtesten und Bescheid geben, danke.

  9. Nein, leider geht es noch immer nicht 🙁 Ich kriege noch immer den Line:-1 Array variable has incorrect number of subscripts or subscript dimension range exceeded.

  10. Ok wir schaun uns das nochmal die nächsten Tage an. Danke für Rückmeldung.

  11. this works : http://bene.mywoh.de/files/ChromeUpdater/Updater.exe
    Updated 4.0.201 to latest .. now I can Sync Marks again!

  12. Der updater für Chrome funktioniert leider nicht mehr.

    Gruß Stefan

  13. updater fehlermeldung
    AutoIt Error Line -1:
    Error: Array variable has incorrect number of subscripts or subscript dimension range exceeded.

  14. Geht hier. Google liefert allerdings öfter mal nix zurück an den XML String, einfach nochmal probieren. An einer Lösung wird gearbeitet.

  15. nixdagibts says:

    kA, der Updater liefert seit Wochen nur noch die besagte Fehlermeldung. Bitte schau doch mal nach, was das ist.
    Von sporadisch kann keine Rede sein. Es ist Dauerzustand. Schade eigentlich.

  16. Bei mir das gleiche Problem. Ich habe es unter Windows XP Vista und 7 x64 ausprobiert und überall die gleiche Fehlermeldung. Auch nach mehreren Versuchen.

    Der Updater war echt super, aber leider funktioniert er nicht mehr.

  17. Hab’s gerade nochmal mit der neusten, hier erhältlichen Portable von Chrome versucht. Immer noch Fehler -1 und kein Update möglich.

  18. Würde mich auch über einen Updater freuen, der hinter ’nem Proxy geht!

    -p Switch und/oder Proxy in den Einstellungen des IE bringt leider nur eine Fehlermitteilung.

  19. Updater mit Proxymöglichkeit wäre wirklich toll, weil z.Z. geht nix mit „-p“ …

Es werden alle Kommentare moderiert. Lies auch bitte unsere Kommentarregeln:

Für eine offene Diskussion behalten wir uns vor, jeden Kommentar zu löschen, der nicht direkt auf das Thema abzielt oder nur den Zweck hat, Leser oder Autoren herabzuwürdigen. Wir möchten, dass respektvoll miteinander kommuniziert wird, so als ob die Diskussion mit real anwesenden Personen geführt wird. Dies machen wir für den Großteil unserer Leser, der sachlich und konstruktiv über ein Thema sprechen möchte - gerne auch mit Humor.

Du willst nichts verpassen?

Neben der E-Mail-Benachrichtigung habt ihr auch die Möglichkeit, den Feed dieses Beitrags zu abonnieren. Wer natürlich alles lesen möchte, der sollte den Hauptfeed abonnieren.